import os
import sys
import audioop
import time
import errno

with open('/dev/shm/vulevel.txt', 'w') as f:
    f.write('VUVALUE001,10000,10000,10000,10000,10000,100000,10000,')

time.sleep(3)

# /etc/mpd.conf

while 1:
    fifo = os.open('/tmp/vulevel.fifo', os.O_RDONLY)
    cn = 0
    for cn in range(1, 10000):
       	time.sleep(0.02)

        try:
            rawStream = os.read(fifo, 2048)
        except OSError as err:
            if err.errno == errno.EAGAIN or err.errno == errno.EWOULDBLOCK:
	        print("exception occured.")
                rawStream = None
            else:
                print("exception occured.")
                raise

        if rawStream:
                leftChannel = audioop.tomono(rawStream, 2, 1, 0)
                rightChannel = audioop.tomono(rawStream, 2, 0, 1)
                leftPeak = (audioop.max(leftChannel, 2) * 10000) / 32767
                rightPeak = (audioop.max(rightChannel, 2) * 10000) / 32767
                #leftRMS = (audioop.rms(leftChannel, 2) * 10000) / 32767
                #rightRMS = (audioop.rms(rightChannel, 2) * 10000) / 32767
                #leftAVG = (audioop.avg(leftChannel, 2) * 10000) / 32767
                #rightAVG = (audioop.avg(rightChannel, 2) * 10000) / 32767
                s = 'VUVALUE001,{},{},{},{},{},{},{},              '.format(str(cn), str(leftPeak), str(rightPeak), str(leftPeak), str(rightPeak), str(leftPeak), str(rightPeak))
                #leftDB = 20 * math.log10(leftPeak) -74
                #rightDB = 20 * math.log10(rightPeak) -74
                if sys.stdout.isatty():
	       	    print(s)
                with open('/dev/shm/vulevel.txt', 'rw+b') as f:
                    #with contextlib.closing(mmap.mmap(f.fileno(), 0)) as m:
                        #m.seek(0)
                        f.write(s)

    os.close(fifo)

