import os
import sys
import time
from mpd import MPDClient , MPDError
#from requests.exceptions import ConnectionError

mpdclient = MPDClient()
mpdclient.timeout = 600 
mpdclient.idletimeout = None

while 1:
  mpdclient.connect("localhost", 6600)
  # search vulevel output ch
  outputdevtbl = mpdclient.outputs()
  print(outputdevtbl)

  cht = [tbl['outputid'] for tbl in outputdevtbl if tbl['outputname'] == 'vulevel']
  ch = [int(s) for s in cht]
  print (ch[0])

  error = False
  while not error:

    try:
      mpdclient.disableoutput(ch[0])
      if sys.stdout.isatty():
        print("output disabled")
      time.sleep(0.001);

      mpdclient.enableoutput(ch[0])
      if sys.stdout.isatty():
        print("output enabled")

    except MPDError as err:
      print("MPDEerror :", err)
      error = True
      #mpdclient.close()
      mpdclient.disconnect()

    except Exception as e:
      print("Exception:", e)
      error = True
      #mpdclient.close()
      mpdclient.disconnect()

    finally:
      time.sleep(10)

  #mpdclient.close()
  #mpdclient.disconnect()

mpdclient.close()
mpdclient.disconnect()


